org.codehaus.plexus.util.interpolation

## Class EnvarBasedValueSource

- java.lang.Object
- - org.codehaus.plexus.interpolation.AbstractValueSource
  - - org.codehaus.plexus.interpolation.EnvarBasedValueSource
    - - org.codehaus.plexus.util.interpolation.EnvarBasedValueSource

- All Implemented Interfaces:
    org.codehaus.plexus.interpolation.ValueSource

  Deprecated.
  Use plexus-interpolation APIs instead.

      public class EnvarBasedValueSource
      extends org.codehaus.plexus.interpolation.EnvarBasedValueSource

  Version:
    $Id: EnvarBasedValueSource.java 8010 2009-01-07 12:59:50Z vsiveton $, $Id: EnvarBasedValueSource.java 8010 2009-01-07 12:59:50Z vsiveton $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnvarBasedValueSource()` Deprecated.
    `EnvarBasedValueSource(boolean caseSensitive)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.codehaus.plexus.interpolation.EnvarBasedValueSource

      `getValue`

    - ### Methods inherited from class org.codehaus.plexus.interpolation.AbstractValueSource

      `addFeedback, addFeedback, clearFeedback, getFeedback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnvarBasedValueSource

          public EnvarBasedValueSource()
                                throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### EnvarBasedValueSource

          public EnvarBasedValueSource(boolean caseSensitive)
                                throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`